Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
[Java] Class GroovyRowResult

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.sql.GroovyRowResult

All Implemented Interfaces:
  Map

    public class GroovyRowResult
    extends GroovyObjectSupport

Represents an extent of objects. It's used in the oneRow method to be able to access the result of a SQL query by the name of the column, or by the column number.

Authors:
  Jean-Louis Berliet

Version:
  \$Revision: 16759 \$

Constructor Summary
`GroovyRowResult(Map result)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object property)`
`Object` | `getAt(int index)` Retrieve the value of the property by its index.
`Object` | `getProperty(String property)` Retrieve the value of the property by its name
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`
`Collection` | `values()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyRowResult

    public GroovyRowResult(Map result)

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(Object key)

### containsValue

    public boolean containsValue(Object value)

### entrySet

    public Set entrySet()

### equals

    public boolean equals(Object o)

### get

    public Object get(Object property)

### getAt

    public Object getAt(int index)

  Retrieve the value of the property by its index. A negative index will count backwards from the last column.
  Parameters:
    `index` - is the number of the column to look at
  Returns:
    the value of the property

### getProperty

    public Object getProperty(String property)

  Retrieve the value of the property by its name
  Parameters:
    `property` - is the name of the property to look at
  Returns:
    the value of the property

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### put

    public Object put(Object key, Object value)

### putAll

    public void putAll(Map t)

### remove

    public Object remove(Object key)

### size

    public int size()

### toString

    public String toString()

### values

    public Collection values()

Copyright © 2003-2010 The Codehaus. All rights reserved.